com.sun.source.tree

## Interface PrimitiveTypeTree

All Superinterfaces:
  Tree

    public interface PrimitiveTypeTree
    extends Tree

A tree node for a primitive type. For example:

       primitiveTypeKind

Since:
  1.6
See Also:
  "The Java Language Specification, 3rd ed, section 4.2"

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

Methods
`TypeKind` `getPrimitiveTypeKind()`

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### getPrimitiveTypeKind

    TypeKind getPrimitiveTypeKind()

Copyright © 2005, 2017, Oracle and/or its affiliates. All rights reserved.